GETINO(1)

BEZEICHNUNG
getino - die eindeutige Inode-Nummer ausgeben, die einem Prozessdateideskriptor oder Namensraum für eine gegebene PID zugeordnet ist

ÜBERSICHT

getino [--pidfs|--cgroupns|--ipcns|--netns|--mntns|--pidns|--timens|--userns|--utsns] [--print-pid|-p] PID[:Inode] …

getino [--print-pid|-p] PID[:Inode] …

getino PID[:Inode] …

BESCHREIBUNG

getino ist ein einfacher Befehl, der die Inode-Nummern ausgibt, die mit dem Prozessdateideskriptor (pidfd) oder Namensraum für alle ihm als Argumente übergebenen Prozess-IDs (PIDs) verknüpft sind.

Der Kernel garantiert, dass die Inode-Nummer, die dem Dateideskriptor eines Prozesses zugeordnet ist, während des aktuellen Bootzyklus nicht wiederverwendet wird. Daher kann ein Prozess eindeutig durch seine Prozess-ID (PID) und die Inode-Nummer identifiziert werden, praktischerweise im Format PID:Inode. Dies ermöglicht beispielsweise die konfliktfreie Signalisierung von Prozessen mit kill(1), welches das oben genannte PID-Format akzeptiert.

Die einem Namensraum für einen bestimmten Prozess zugeordneten Inode-Nummern sind im Wesentlichen Namensraum-IDs und identisch mit der von /proc/pid/ns/Namensraumtyp gemeldeten Inode-Nummer. Weitere Details finden Sie in namespaces(7).

OPTIONEN

-p, --print-pid
    gibt sowohl die PID als auch den Inode des PID-Verzeichnisses/Namensraums getrennt durch einen Doppelpunkt »:« in der jeweiligen Reihenfolge aus. Diese Formatkonvention kann verwendet werden, um Prozesse auf eine konfliktfreie Weise anzusprechen, zum Beispiel für die Signalisierung mit dem Befehl kill(1).

--pidfs
    gibt die eindeutige Inode-Nummer für den pidfs-Dateideskriptor eines Prozesses aus.

--cgroupns
    gibt die eindeutige Inode-Nummer des Cgroup-Namensraums aus. Siehe cgroup_namespaces(7).

--ipcns
    gibt die eindeutige IPC-Namensraum-Inode-Nummer aus. Siehe ipc_namespaces(7).

--netns
    gibt die eindeutige Inode-Nummer des Netzwerk-Namensraums aus. Siehe network_namespaces(7).

--mntns
    gibt die eindeutige Einhänge-Namensraum-Inode-Nummer aus. Siehe mount_namespaces(7).

--pidns
    gibt die eindeutige PID-Namensraum-Inode-Nummer aus. Siehe pid_namespaces(7).

--timens
    gibt die eindeutige Zeit-Namensraum-Inode-Nummer aus. Siehe time_namespaces(7).

--userns
    gibt die eindeutige Benutzer-Namensraum-Inode-Nummer aus. Siehe user_namespaces(7).

--utsns
    gibt die eindeutige UTS-Namensraum-Inode-Nummer aus. Siehe uts_namespaces(7).

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

getino hat die folgenden Exit-Status-Werte:

0
    Erfolg

1
    Nicht näher bezeichneter Fehler.

ANMERKUNGEN

getino benötigt Unterstützung für das Pseudo-Dateisystem pidfs (eingeführt in Linux Version 6.9), um einen gültigen Inode für einen Prozessdateideskriptor abzurufen.

AUTOREN

SIEHE AUCH

kill(1) pidfd_open(2) namespaces(7)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl getino ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.